import React from 'react';

const globalStyle = {
  margin: 0,
  padding: 0,
  textRendering: 'geometricPrecision',
  fontFamily: 'Roboto Condensed, sans-serif',
  boxSizing: 'border-box',
  background: '#fefefe',
}

export default React.createClass({
  render: function() {
    return (
      <html lang="en">
        <head>
          <title><%= appName %></title>
          <meta charSet="utf-8" />
          <meta name="viewport" content="width=device-width, initial-scale=1.0" />
          <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed:300" rel="stylesheet" />
        </head>
        <body style={globalStyle}>
          <div id="mount" dangerouslySetInnerHTML={{__html: this.props.tree}}></div>
          <script type="application/javascript" src="/dist/bundle.js" />
        </body>
      </html>
    )
  }
})
