import React from 'react';
import { Route, IndexRoute } from 'react-router';
import External from './components/external';
import Index from './components/index';
import About from './components/about';

const routes = (
  <Route path="/" component={External}>
    <IndexRoute component={Index}></IndexRoute>
    <Route path="about" component={About}></Route>
  </Route>
)

export default routes;
